# eric7.Plugins.CheckerPlugins.CodeStyleChecker.CodeStyleCodeSelectionDialog

Module implementing a dialog to select code style message codes.

### Global Attributes

None

### Classes

CodeStyleCodeSelectionDialog | Class implementing a dialog to select code style message codes.

### Functions

None

## CodeStyleCodeSelectionDialog

Class implementing a dialog to select code style message codes.

### Derived from

QDialog, Ui_CodeStyleCodeSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

CodeStyleCodeSelectionDialog | Constructor
getSelectedCodes | Public method to get a comma separated list of codes selected.

### Static Methods

None

#### CodeStyleCodeSelectionDialog (Constructor)

CodeStyleCodeSelectionDialog(codes, categories, showFixCodes, parent=None)

Constructor

codes (str)
  comma separated list of selected codes
categories (list of str)
  list of message categories to omit
showFixCodes (bool)
  flag indicating to show a list of fixable issues
parent (QWidget)
  reference to the parent widget

#### CodeStyleCodeSelectionDialog.getSelectedCodes

getSelectedCodes()

Public method to get a comma separated list of codes selected.

Return:
  comma separated list of selected codes

Return Type:
  str

Up